# Edit Instance - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-edit-instance

# Edit Instance

POST

/

gpu-instance

/

openapi

/

v1

/

gpu

/

instance

/

edit

Try it

Edit Instance

cURL

```
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/edit \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"instanceId": "&#x3C;string>",
"ports": [
{
"port": 123,
"type": "&#x3C;string>"
}
],
"expandRootDisk": 123
}
'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/edit"payload = { "instanceId": "&#x3C;string>", "ports": [ { "port": 123, "type": "&#x3C;string>" } ], "expandRootDisk": 123}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ instanceId: '&#x3C;string>', ports: [{port: 123, type: '&#x3C;string>'}], expandRootDisk: 123 })};fetch('https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/edit', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/edit", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'instanceId' => '&#x3C;string>', 'ports' => [ [ 'port' => 123, 'type' => '&#x3C;string>' ] ], 'expandRootDisk' => 123 ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/edit"	payload := strings.NewReader("{\n \"instanceId\": \"&#x3C;string>\",\n \"ports\": [\n {\n \"port\": 123,\n \"type\": \"&#x3C;string>\"\n }\n ],\n \"expandRootDisk\": 123\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/edit") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"instanceId\": \"&#x3C;string>\",\n \"ports\": [\n {\n \"port\": 123,\n \"type\": \"&#x3C;string>\"\n }\n ],\n \"expandRootDisk\": 123\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/edit")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"instanceId\": \"&#x3C;string>\",\n \"ports\": [\n {\n \"port\": 123,\n \"type\": \"&#x3C;string>\"\n }\n ],\n \"expandRootDisk\": 123\n}"response = http.request(request)puts response.read_body
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-instance-id)

instanceId

string

required

ID of the instance to edit.

[​](#param-ports)

ports

object[]

Ports to be exposed by the instance. The total number of ports used by ports + tools must not exceed 15.

Show properties

[​](#param-port)

port

integer

Port number. Supported port range: 1-65535, except for 2222, 2223, and 2224 which are reserved for internal use.

[​](#param-type)

type

string

Protocol type. Supported values: `tcp`, `http`.

[​](#param-expand-root-disk)

expandRootDisk

integer

Size to expand the root disk, in GB. Integer, value must be >= 0. Set to 0 if no expansion is needed.

Last modified on May 28, 2025
